
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;
import org.jdom.output.Format;
import org.jdom.output.XMLOutputter;

public class ReadXML {

     public static List<Gwiazda> loadXML(String filename) {
        SAXBuilder builder = new SAXBuilder();
        File xmlFile = new File("src/gwiazdy.xml");

        List<Gwiazda> res = new ArrayList<Gwiazda>();

        try {

            Document document = (Document) builder.build(xmlFile);
            Element rootNode = document.getRootElement();
            List list = rootNode.getChildren("gwiazda");

            for (int i = 0; i < list.size(); i++) {

                Element node = (Element) list.get(i);

                Gwiazda gw = new Gwiazda(node);
                res.add(gw);

                System.out.println(gw);


            }

        } catch (IOException io) {
            System.out.println(io.getMessage());
        } catch (JDOMException jdomex) {
            System.out.println(jdomex.getMessage());
        }

        return res;
    }

    public static void saveXML(List<Gwiazda> gwiazdy, String filename) {
        Element res = new Element("gwiazdy");

        for (Gwiazda gwiazda : gwiazdy) {
            res.addContent(gwiazda.toJDOM());
        }

        Document doc = new Document(res);

        XMLOutputter xmlOutput = new XMLOutputter();

        xmlOutput.setFormat(Format.getPrettyFormat());
        try {
            xmlOutput.output(doc, System.out);
        } catch (IOException ex) {
            Logger.getLogger(ReadXML.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    public static void main(String[] args) {
        
        List<Gwiazda> gwiazdy=loadXML("src/gwiazdy.xml");
        
        saveXML(gwiazdy,"");
    }
}
